This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254461 - Wi-Fi band-locking doesn't work
Wi-Fi band-locking doesn't work
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.2
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jirka Klimes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 04:10 EDT by Jirka Klimes
Modified: 2016-01-04 01:05 EST (History)
6 users (show)

See Also:
Fixed In Version: NetworkManager-1.0.4-10.el7
Doc Type: Bug Fix
Doc Text:
Due to a bug in NetworkManager, it was not previously possible to set the Wi-Fi band to the "a" or "bg" values to lock to a specific frequency band. NetworkManager has been fixed, and it now sets the wpa_supplicant's "freq_list" option correctly, which enables proper Wi-Fi band locking.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 06:03:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jirka Klimes 2015-08-18 04:10:54 EDT
NetworkManager can only use Wi-Fi band "a" or "bg" if the 802-11-wireless.band property is set. It is done via specifying allowed frequences to wpa_supplicant.

It does not work as expected though. NetworkManager sets wpa_supplicant's 'freq_list' option as comma-separated frequences, but wpa_supplicant expects space-separated list.
Comment 1 Jirka Klimes 2015-08-18 04:14:03 EDT
See upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=627571#c11
and branch jk/freq-list-bgo627571 for a fix.
Comment 2 Jirka Klimes 2015-08-21 05:02:37 EDT
Let's put the following commit to RHEL 7.2
c8b5b5e supplicant: wpa_supplicant wants space-separated list in freq_list (bgo #627571)
It fixes the bug. The rest of the upstream branch will get into RHEL when we rebase to NM 1.0.6.
Comment 4 Vitezslav Humpa 2015-10-04 12:07:21 EDT
Verified band locking works by a series of automated test on several different wireless HW devices available.
Comment 5 errata-xmlrpc 2015-11-19 06:03:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html

Note You need to log in before you can comment on or make changes to this bug.